
using System.Diagnostics;
using System;
using System.Windows.Forms;
using System.Collections;
using System.Drawing;
using System.Data;
using System.Collections.Generic;



namespace StopWatch
{
	public partial class Form1
	{
		public Form1()
		{
			InitializeComponent();
			
		}
		
#region Default Instance
		
		private static Form1 defaultInstance;
		
		public static Form1 Default
		{
			get
			{
				if (defaultInstance == null)
				{
					defaultInstance = new Form1();
					defaultInstance.FormClosed += new FormClosedEventHandler(defaultInstance_FormClosed);
				}
				
				return defaultInstance;
			}
		}
		
		static void defaultInstance_FormClosed(object sender, FormClosedEventArgs e)
		{
			defaultInstance = null;
		}
		
#endregion
		
		System.Diagnostics.Stopwatch StopWatch = new System.Diagnostics.Stopwatch();
		public void Timer1_Tick(System.Object sender, System.EventArgs e)
		{
			TimeSpan elapsed = this.StopWatch.Elapsed;
			Label1.Text = string.Format("{0:00}:{1:00}:{2:00}:{3:00}", Math.Floor(elapsed.TotalHours), elapsed.Minutes, elapsed.Seconds, elapsed.Milliseconds);
		}
		public void Button1_Click(System.Object sender, System.EventArgs e)
		{
			Timer1.Start();
			this.StopWatch.Start();
		}
		
		public void Button2_Click(System.Object sender, System.EventArgs e)
		{
			Timer1.Stop();
			this.StopWatch.Stop();
		}
		
		public void Button4_Click(System.Object sender, System.EventArgs e)
		{
			this.StopWatch.Reset();
			Label1.Text = "00:00:00:000";
			ListBox1.Items.Clear();
		}
		
		public void Button3_Click_1(System.Object sender, System.EventArgs e)
		{
			ListBox1.Items.Add(Label1.Text);
		}
	}
}
